using BlacksmithWorkshopContracts.BindingModels;
using BlacksmithWorkshopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BlacksmithWorkshopContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        //Получение списка заготовок с указанием, в каких изделиях используются
        List<ReportManufactureWorkPieceViewModel> GetManufactureWorkPiece();

        //Получение списка заказов за определенный период
        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);

        //Сохранение изделий в файл-Word
        void SaveManufacturesToWordFile(ReportBindingModel model);

        //Сохранение заготовок с указанием изделий в файл-Excel
        void SaveManufactureWorkPieceToExcelFile(ReportBindingModel model);

        //Сохранение заказов в файл-Pdf
        void SaveOrdersToPdfFile(ReportBindingModel model);
    }
}
